Rails error

I was following a tutorial on ruby on rails and i get this error
whenever i try to setup a rails project.

Any idea whats wrong?

C:\Ruby19> rails library
C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-1.3.1/lib/active_support.rb:29:
in require': C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-1.3.1/lib/active_ support/inflector.rb:169: syntax error, unexpected ':', expecting keyword_then o r ',' or ';' or '\n' (SyntaxError) when 1: "#{number}st" ^ C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-1.3.1/lib/active_support/inflec tor.rb:170: syntax error, unexpected keyword_when, expecting keyword_end when 2: "#{number}nd" ^ C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-1.3.1/lib/active_support/inflec tor.rb:171: syntax error, unexpected keyword_when, expecting keyword_end when 3: "#{number}rd" ^ C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-1.3.1/lib/active_support/inflec tor.rb:176: syntax error, unexpected keyword_end, expecting $end from C:/Ruby19/lib/ruby/gems/1.9.1/gems/activesupport-1.3.1/lib/active_s upport.rb:29:in<top (required)>’
from
C:/Ruby19/lib/ruby/gems/1.9.1/gems/rails-1.1.6/lib/rails_generator.
rb:28:in require' from C:/Ruby19/lib/ruby/gems/1.9.1/gems/rails-1.1.6/lib/rails_generator. rb:28:in<top (required)>’
from
C:/Ruby19/lib/ruby/gems/1.9.1/gems/rails-1.1.6/bin/rails:13:in req uire' from C:/Ruby19/lib/ruby/gems/1.9.1/gems/rails-1.1.6/bin/rails:13:in<to
p (required)>’
from C:/Ruby19/bin/rails:19:in load' from C:/Ruby19/bin/rails:19:in

On Thu, 2010-02-18 at 17:15 +0100, Spencer S. wrote:

I was following a tutorial on ruby on rails and i get this error
whenever i try to setup a rails project.

Any idea whats wrong?

C:\Ruby19> rails library

Not sure, but it’s possible that the project name might be causing the
issue. Can you create a rails project with another name ?

Best regards,
Bill

anyone?

Rails 1.1.6 that you seem to be using is not compatible with ruby 1.9
which you also seem to be using.

If you are just starting out with rails you really ought to be using the
latest version, not an ancient version.

Cheers,
Gary.

bill walton wrote:

Not sure, but it’s possible that the project name might be causing the
issue. Can you create a rails project with another name ?

Best regards,
Bill

No, I tried using myprojectname but it didnt work.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs